IE6
WindowsServer
TLS
WindowsUpdate
WindowsServer2003

Windows Server 2003 R2のWindows Update時はTLS 1.0を有効にする

More than 1 year has passed since last update.


事象

Windows Server 2003 R2を新規にセットアップしたのち、Windows Updateを行おうとしたところ、以下のようにエラー番号 0x80072EFDが表示された。

wu-error-0x80072efd.png


原因

新規セットアップ後のIE6ではTLS 1.0が無効になっているため、Windows Updateに失敗する。

インターネット オプションから、「TLS 1.0を使用する」を有効にすることで問題は解消された。

wu-requires-tls.png

0x80072EFDはどうやらインターネット接続の失敗をこのエラー番号に丸めているらしく、原因は多岐にわたるようだ。

今回に限って言えば、SSL/TLSのプロトコル不一致であった。